 
#define svn 20060908svn
#define beta %{svn} 

%define beta beta2

Summary: The KDE Bluetooth Framework
Name:    kdebluetooth
Version: 1.0 
Release: 0.18.%{beta}%{?dist}

License: GPL
Group:	 Applications/Communications
URL:	 http://kde-bluetooth.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/kde-bluetooth/kdebluetooth-%{version}%{?beta:_%{beta}}.tar.bz2
#Source0:  kdebluetooth-%{beta}.tar.bz2
Source1:  kdebluetooth-svn_checkout.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# fix bluez-utils init.d path
Patch1: kdebluetooth-1.0_beta1-bluez-utils.patch

## needed (only) for cvs/svn build
#BuildRequires: automake libtool
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: lockdev-devel
BuildRequires: xmms-devel
BuildRequires: bluez-libs-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepim-devel
%if "%{?fedora}" > "4" || "%{?rhel}" > "4"
# See http://bugs.kde.org/124140 : kdebluetooth: configure fails against openobex < 1.1
BuildRequires: openobex-devel >= 1.1
# openobex.pc: drop bogus/extraneous deps: bluez, usb,  http://bugzilla.redhat.com/bugzilla/186463
BuildRequires: libusb-devel
# openobex-devel: +Requires: pkgconfig,  http://bugzilla.redhat.com/bugzilla/186457
BuildRequires: pkgconfig
%else
# compat pkg I made to support other releases -- Rex
BuildRequires: openobex1-devel >= 1.1
%endif

# for kcm module(s)
Requires: kdebase


%description
The aim of this project is a tight and easy to use integration of Bluetooth 
into the KDE desktop. You can manage your local Bluetooth devices and services
with it, browse your Bluetooth neighbourhood with konqueror and send and 
receive files with just a few clicks.

%package devel
Summary: Header and library files for %{name}
Group:   Development/Libraries
Requires: qt-devel
Requires: bluez-libs-devel
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q -n %{name}-%{version}%{?beta:_%{beta}}
#setup -q -n %{name}

%patch1 -p1 -b .bluez-utils

## needed (only) for cvs/svn build
#make -f admin/Makefile.common cvs


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --enable-irmcsynckonnector

make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME/TODO: get dfi to shut-the-hell-up about KDE's use of Keywords= and
# use of invalid characters... bah.
for applnk_dir in applications/kde applnk/Utilities ; do
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category="X-Fedora" --vendor="" \
  --remove-category="Network" \
  --add-category="System" \
  --add-category="Application" \
  --add-only-show-in="KDE" \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/${applnk_dir}/*.desktop ||:
done

## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
# zero length files
for i in $(find ${RPM_BUILD_ROOT} -size 0) ; do
   rm -f "$i"
done

## File lists
# locale's
for prog in \
  btpaired kbluelock kbluepin kbluetoothdcm kbluetoothd kbtobexclient \
  kbtsearch kbtserialchat khciconfig kioclient libkbluetooth ; do
  %find_lang $prog && cat $prog.lang >> %{name}.lang  ||:
done
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/applnk/.hidden/*.desktop
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/Settings/Network/
%{_datadir}/applnk/Settings/Peripherals/
#{_datadir}/applnk/Utilities/*.desktop
%{_datadir}/apps/kbluetoothd/
%{_datadir}/apps/kbtobexclient/
%{_datadir}/apps/kdebluetooth/
%{_datadir}/apps/konqsidebartng/virtual_folders/services/*.desktop
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/autostart/*.desktop
%config %{_datadir}/config/*rc
%{_datadir}/desktop-directories/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mimelnk/bluetooth/
%{_datadir}/service*/*
%{_libdir}/kde3/kcm_*
%{_libdir}/kde3/kio_*
%{_libdir}/kdebluetooth/
%{_libdir}/libirmcsynckonnector.so
%{_libdir}/libkbluetooth.so.*
%{_libdir}/libqobex.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libqobex.so
%{_libdir}/libkbluetooth.so


%changelog
* Fri Oct 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.18.beta2
- BR: gettext
- include locales

* Tue Oct 17 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.17.beta2
- kdebluetooth-1.0_beta2

* Fri Sep 08 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.16.20060908svn
- kdebluetoooth-20060908svn

* Thu Jul 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.15.20060621svn
- put svn at end of Release tag (per packaging guidelines)

* Wed Jun 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.14.svn20060621
- kdebluetooth-20060621svn, fixes
  compile error kdebluetooth libkobex obex.h not found (kde bug #94572)

* Tue Jun 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.13.svn20060620
- kdebluetooth-svn20060620, (re)fixes
  konqueror bluetooth:/ returns error "Bad URL" (kde bug #123607)
- --disable-dependency-tracking
- own %%_datadir/applnk/Settings/Network

* Mon Jun 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.12.svn20060619
- document svn tarball creation
- Requires: kdebase (for kcm bits, applnk dir ownership)
- desktop-file-install --add-only-show-in=KDE

* Mon Jun 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.11.svn20060619
- kdebluetooth-svn20060619, making most patches obsolete

* Fri Apr 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.10.beta1
- -devel: Requires: qt-devel bluez-libs-devel
- include libirmcsynckonnector.so in main pkg
- .desktop: --remove-category=Network --add-category=System
- remove zero length files
- fix default hcid start/top command

* Mon Apr 17 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.9.beta1
- konqueror bluetooth:/ returns error "Bad URL" (kde bug #123607)

* Tue Mar 28 2006 Rex Dieter 1.0-0.8.beta1
- BR: kdepim-devel (for kitchensync)
- kdebluetooth-1.0_beta1-gcc41.patch

* Thu Mar 23 2006 Rex Dieter 1.0-0.7.beta1
- cleanup openobex patch
- fixup .desktop file(s)

* Wed Mar 22 2006 Rex Dieter 1.0-0.6.beta1
- cleanup for Extras
- %post: ldconfig, fdo icon spec

* Mon Mar 06 2006 Rex Dieter 1.0-0.5.beta1
- respin

* Mon Mar 21 2005 Rex Dieter 1.0-0.3.beta1
- --enable-irmcsynckonnector

* Mon Mar 21 2005 Rex Dieter 1.0-0.1.beta1
- 1.0_beta1

* Wed Dec 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0.0-0.1.cvs20050110
- first try

